article {
  @if $prose-color != $body-color {
    color: $prose-color;
  }
  font-family: $prose-family;
  font-size: 1.25rem;
  &.column {
    flex: 0 0 auto;
    max-width: 700px;
  }

  .body a {
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0.6) 50%, rgba(0, 0, 0, 0) 50%) repeat-x 0 1.15em / 2px 0.1em;
    color: $prose-color;
    &:hover {
      color: $prose-color;
    }
  }

  #preamble + .sect1,
  .sect1 + .sect1 {
    margin-top: 2.75rem;
  }

  .sect1 > h2:first-child {
    //margin-bottom: -0.75rem;
    margin-bottom: -0.625rem;
  }

  .sect2 {
    margin-top: 2.25rem;
    > h3:first-child {
      //margin-bottom: -0.75rem;
      margin-bottom: -0.625rem;
    }
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: 'Open Sans', sans-serif;
    font-weight: $weight-bold;
    //letter-spacing: -0.05em;
    letter-spacing: -0.035em;
    // Q: should we promote to $heading-line-height?
    line-height: 1.15;
    margin-left: -0.05em;
    word-spacing: 0.025em;
    width: fit-content;
    display: flex;
    > a.anchor {
      background: none;
      display: inline-block;
      visibility: hidden;
      font-family: FontAwesome;
      font-weight: $weight-normal;
      order: 1;
      transform: scale(0.7);
      transform-origin: left 75%;
      width: 0;
      color: $primary-bis;
      &:hover {
        color: $primary-bis;
      }
      &::before {
        content: "\f0c1";
        padding: 0 0.5ex;
      }
    }
    &:hover > a.anchor {
      visibility: visible;
    }
  }

  h1 {
    font-size: 2.375rem;
    //line-height: 1.25;
  }

  h2 {
    font-size: 1.75rem;
  }

  h3 {
    font-size: 1.375rem;
  }

  // TODO table cells
  p {
    line-height: 1.65;
    letter-spacing: -0.01em;
  }

  .paragraph p {
    margin: 0;
  }

  .paragraph,
  .ulist,
  .olist,
  .listingblock,
  .literalblock,
  .imageblock,
  dt,
  footer {
    margin-top: 1.75rem;
  }

  .imageblock,
  .listingblock,
  .literalblock {
    margin-left: -$section-padding-sides;
    margin-right: -$section-padding-sides;
  }

  @include mobile {
    .imageblock {
      padding: 0 0.75rem;
    }
  }

  ol,
  ul {
    margin-left: 1.5em;
  }

  ol {
    list-style: decimal;
  }

  ul {
    list-style: disc;
    ul {
      list-style-type: circle;
      ul {
        list-style-type: square;
      }
    }
  }

  .ulist .ulist {
    margin-top: 0.6667em;
  }

  li:not(:last-child) {
    margin-bottom: 0.6667em;
  }

  dt {
    font-weight: $weight-bold;
  }

  dt:not(:first-child) {
    margin-top: 1.25rem;
  }

  dd {
    margin-top: 0.5rem;
    padding: 0 1.25rem;
  }

  pre {
    background-color: #f8f8f8;
    border: 0 solid #dbdbdb;
    border-width: 2px 0;
    font-size: 1.125rem;
    overflow-x: auto;
    position: relative;
    code {
      font-size: inherit;
      color: inherit;
      &[data-lang]::after {
        content: attr(data-lang);
        position: absolute;
        right: 0;
        bottom: 0;
        padding: 0.125em 0.5em 0.125em 2em;
        font-size: 0.85em;
        background-image: linear-gradient(to right, transparent 0%, #e9e9e9 100%);
      }
    }
  }

  .imageblock.grow-x img {
    width: 100%;
  }

  blockquote {
    color: $primary-bis;
    font-size: $size-4;
    border-left: 5px solid $primary-bis;
    padding-left: 1rem;
  }
}
